%define major 1
%define libname %mklibname proxy %{major}
%define devname %mklibname -d proxy

%bcond_with	bootstrap

Summary:	A library handling all the details of proxy configuration
Name:		libproxy
Version:	0.4.7
Release:	5
License:	LGPLv2+
Group:		System/Libraries
Url:		http://code.google.com/p/libproxy/
# http://code.google.com/p/libproxy/issues/detail?id=130&can=1&q=perl
Source0:	http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		libproxy-0.4.7-xul2.0.patch
Patch1:		libproxy-javascriptcoregtk.patch
Patch2:		libproxy-0.4.7-add-missing-linkage.patch
Patch3:		libproxy-0.4.7-url-pac.patch
Patch4:		libproxy-0.4.7-unistd.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(zlib)
# perl
BuildRequires:	perl-devel
%if !%{with bootstrap}
# gnome
BuildRequires:	pkgconfig(gconf-2.0)
# NetworkManager
BuildRequires:	pkgconfig(NetworkManager)
BuildRequires:	pkgconfig(dbus-glib-1)
# webkit (gtk)
BuildRequires:	pkgconfig(webkit-1.0)
# kde
BuildRequires:	kdelibs4-devel
%endif

%description
libproxy offers the following features:

    * extremely small core footprint (< 35K)
    * no external dependencies within libproxy core
      (libproxy plugins may have dependencies)
    * only 3 functions in the stable external API
    * dynamic adjustment to changing network topology
    * a standard way of dealing with proxy settings across all scenarios
    * a sublime sense of joy and accomplishment 

#----------------------------------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	A library handling all the details of proxy configuration
Obsoletes:	libproxy-mozjs < 0.4.6-3
Obsoletes:	libproxy-webkit < 0.4.6-3
Provides:	libproxy-pac = %{EVRD}

%description -n	%{libname}
libproxy offers the following features:

    * extremely small core footprint (< 35K)
    * no external dependencies within libproxy core
      (libproxy plugins may have dependencies)
    * only 3 functions in the stable external API
    * dynamic adjustment to changing network topology
    * a standard way of dealing with proxy settings across all scenarios
    * a sublime sense of joy and accomplishment 

%files -n %{libname}
%doc AUTHORS README
%{_libdir}/libproxy.so.%{major}*
%if !%{with bootstrap}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{version}
%dir %{_libdir}/%{name}/%{version}/modules
%endif

#----------------------------------------------------------------------------

%package	utils
Summary:	Binary to test %{name}
Group:		System/Configuration/Networking
Requires:	%{libname} = %{EVRD}

%description	utils
The %{name}-utils package contains the proxy binary for %{name}

%files utils
%{_bindir}/proxy

#----------------------------------------------------------------------------

%package -n	python-%{name}
Summary:	Binding for %{name} and python
Group:		Development/Python
Requires:	%{libname} = %{EVRD}

%description -n python-%{name}
The python-%{name} package contains the python binding for %{name}

%files -n python-%{name}
%{python_sitelib}/libproxy.py

#----------------------------------------------------------------------------

%package	perl
Summary:	Perl bindings for %{name}
Group:		Development/Perl
Requires:	%{libname} = %{EVRD}

%description	perl
This contains the perl bindings for the libproxy library.

%files perl
%{perl_vendorarch}/Net/Libproxy.pm
%{perl_vendorarch}/auto/Net/Libproxy

#----------------------------------------------------------------------------

%if !%{with bootstrap}
%package	gnome
Summary:	Plugin for %{name} and gnome
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description	gnome
The %{name}-gnome package contains the %{name} plugin for gnome.

%files gnome
%{_libdir}/%{name}/%{version}/modules/config_gnome3.so
%{_libexecdir}/pxgsettings
%endif

#----------------------------------------------------------------------------

%if !%{with bootstrap}
%package	kde
Summary:	Plugin for %{name} and kde
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description	kde
The %{name}-kde package contains the %{name} plugin for kde.

%files kde
%{_libdir}/%{name}/%{version}/modules/config_kde4.so
%endif

#----------------------------------------------------------------------------

%if !%{with bootstrap}
%package	networkmanager
Summary:	Plugin for %{name} and networkmanager
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description	networkmanager
The %{name}-networkmanager package contains the %{name} plugin for
networkmanager.

%files networkmanager
%{_libdir}/%{name}/%{version}/modules/network_networkmanager.so
%endif

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n	%{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%{_includedir}/proxy.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libproxy-1.0.pc
%{_datadir}/cmake/Modules/Findlibproxy.cmake

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .xul20~
%patch1 -p0 -b .webkitgtk~
%patch2 -p1 -b .linkage~
%patch3 -p1
%patch4 -p1

%build
%cmake -Dlibexecdir=%{_libexecdir} -DLIBEXEC_INSTALL_DIR=%{_libexecdir} \
	-DMODULE_INSTALL_DIR=%{_libdir}/%{name}/%{version}/modules \
	-DPERL_VENDORINSTALL=1 -DWITH_MOZJS=OFF
%make

%install
%makeinstall_std -C build
#gw fix pkgconfig file
sed -i -e "s^Version:.*^Version: %{version}^" %{buildroot}%{_libdir}/pkgconfig/*.pc

%check
pushd build
ctest .
popd


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.4.7-5
+ Revision: 4f773fc
- MassBuild#440: Increase release tag


